Subject: bug#19799: closed (Re: Tangentally related to eww-mode Invalid Date bug just filed)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 09 Feb 2015 02:51:02 +0000

Your bug report

#19799: Tangentally related to eww-mode Invalid Date bug just filed

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
19799: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=19799
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: Tangentally related to eww-mode Invalid Date bug just filed
From: Paul Eggert <[email-masked]>
To: Matthew Carter <[email-masked]>
Cc: [email-masked]
Date: Sun, 08 Feb 2015 18:50:41 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

OK, I've fixed the "Invalid date:" bug in master commit 
fd6f7d1449c8496ab5c019d2aad7ca5e2980713a dated today.  This fixes the problem 
with date-to-time on 32-bit hosts, since it now throws the correct exception 
rather than the incorrect one, so I'm closing this bug report.  I'm leaving 
Bug#19798 open for now, until you can verify that the original eww issue is 
indeed fixed on the master.

Subject: Tangentally related to eww-mode Invalid Date bug just filed
From: Matthew Carter <[email-masked]>
To: [email-masked]
Date: Sat, 07 Feb 2015 00:15:55 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Excuse the new thread (just signed up to bug-gnu-emacs list, whereas I
filed the original bug via the report function).

I've pinpointed the eww-mode bug to an issue with #'date-to-time in
time-date.el.

It appears to be a manifestation of the Year 2038 problem and caused by
the fact that the cookie being sent has an expiration date beyond year
2038.

As it turns out, I am unable to reproduce the issue on a 64-bit machine
(it only happens on my 32-bit ones).

Would it be better to rework #'date-to-time to handle future dates in a
more graceful manner on 32-bit machines, or to have eww-mode ignore
triggers that cause it to parse dates it cannot handle?

-- 
Matthew Carter ([email-masked])
http://ahungry.com